summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Gethyn ThomasQuail2015-08-04 20:39:39 +0200
committer Willy Sudiarto Raharjo2015-08-04 20:39:39 +0200
commitfedf3160234f2468872901ae6fd06910bab39c42 (patch)
tree4ecad6d2a92740938cb505accdbbd310e4d0ad20
parent98f3c73a52e83fd3850d91a9a2814415ea5c855b (diff)
downloadslackbuilds-fedf3160234f2468872901ae6fd06910bab39c42.tar.gz
network/wmnd: Added (WindowMaker Network Devices DockApp).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/wmnd/README10
-rw-r--r--network/wmnd/slack-desc19
-rw-r--r--network/wmnd/wmnd.SlackBuild100
-rw-r--r--network/wmnd/wmnd.info10
4 files changed, 139 insertions, 0 deletions
diff --git a/network/wmnd/README b/network/wmnd/README
new file mode 100644
index 0000000000..07aed51b83
--- /dev/null
+++ b/network/wmnd/README
@@ -0,0 +1,10 @@
+WMND is a dockapp for monitoring network interfaces under WindowMaker and other compatible window managers.
+WMND currently works on Linux, FreeBSD, NetBSD, Solaris, OpenSolaris, Darwin and IRIX.
+
+WMND can monitor multiple interfaces at the same time, sports several display modes and can also monitor
+remote interfaces through SNMP.
+
+An optional dep is "Trend" (not on SBo) which can be used to zoom in on the bars inside the DockApp.
+
+Note: This dockapp has an automatically generated RC file in the home folder. You can see an example of
+how to customize it in the /usr/doc folder.
diff --git a/network/wmnd/slack-desc b/network/wmnd/slack-desc
new file mode 100644
index 0000000000..21508ba4cc
--- /dev/null
+++ b/network/wmnd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+wmnd: wmnd (WindowMaker Network Devices DockApp)
+wmnd:
+wmnd: WMND is a dockapp for monitoring network interfaces under WindowMaker
+wmnd: and other compatible window managers.
+wmnd:
+wmnd: WMND can monitor multiple interfaces at the same time, sports several
+wmnd: display modes and can also monitor remote interfaces through SNMP.
+wmnd:
+wmnd: Homepage: http://www.thregr.org/~wavexx/software/wmnd/
+wmnd:
+wmnd:
diff --git a/network/wmnd/wmnd.SlackBuild b/network/wmnd/wmnd.SlackBuild
new file mode 100644
index 0000000000..8b9e7f21e8
--- /dev/null
+++ b/network/wmnd/wmnd.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for wmnd
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmnd
+VERSION=${VERSION:-0.4.17}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Let's compile!
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Compresses man page
+gzip -9 $PKG/usr/man/man1/wmnd.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog ChangeLog.0 COPYING examples INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/wmnd/wmnd.info b/network/wmnd/wmnd.info
new file mode 100644
index 0000000000..7b668e30b4
--- /dev/null
+++ b/network/wmnd/wmnd.info
@@ -0,0 +1,10 @@
+PRGNAM="wmnd"
+VERSION="0.4.17"
+HOMEPAGE="http://www.thregr.org/~wavexx/software/wmnd/"
+DOWNLOAD="http://www.thregr.org/~wavexx/software/wmnd/releases/wmnd-0.4.17.tar.gz"
+MD5SUM="dbf6d6c42ab3e036388d261d2e7bea16"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"